# Generated by go2rpm
%bcond_without check

# https://github.com/Masterminds/vcs
%global goipath         github.com/Masterminds/vcs
Version:                1.13.0

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-github-Masterminds-vcs-devel < 1.11.1-7
}

%global common_description %{expand:
Package Vcs provides the ability to work with varying version control systems
(VCS), also known as source control systems (SCM) though the same interface.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:        3%{?dist}
Summary:        VCS Repo management through a common interface in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  bzr

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

# Remove in F33
# Remove erroneous glide.lock folder
%pretrans devel -p <lua>
path = "%{gopath}/src/%{goipath}/glide.lock"
st = posix.stat(path)
if st and st.type == "directory" then
  os.remove(path)
end

%if %{with check}
%check
# .: needs network
%gocheck -d .
%endif

%gopkgfiles

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.13.0-2
- Add Obsoletes for old name

* Fri May 24 14:31:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.0-1
- Release 1.13.0

* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.11.1-6
- Fix broken version specification

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.11.1-4
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 17 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.11.1-2
- Upload glide files

* Sun Mar 18 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.11.1-1
- Update to 1.11.1

* Thu Mar 01 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.8.0-0.6.20160629gitfbe9fb6
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-0.5.gitfbe9fb6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-0.4.gitfbe9fb6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-0.3.gitfbe9fb6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-0.2.gitfbe9fb6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.1.gitfbe9fb6
- First package for Fedora
  resolves: #1373612
